Fórum OpenCart Brasil

Por um e-commerce livre, confiável e profissional

Suporte geral sobre problemas técnicos para OpenCart v2.x.
#85849
Olá,

Nos últimos dias eu tenho notado que clientes entram e na hora do checkout acabam saindo depois de algum tempo. Apesar de tudo parecer estar funcionando na minha loja mas resolvi fazer testes e percebi que o checkout não está finalizando. quando chega no final abre um pop-up apenas dizendo "www.shazammagicas.com diz: e no campo só mostra "Error" e nada mais. Fiz alguns testes e percebi que um novo cadastro também não está finalizando, preenche tudo certinho e busca o endereço pelo cep tudo certo mas na hora que clica no botão continuar aparece o seguinte:

Esta página não está funcionando www.shazammagicas.com não consegue atender a esta solicitação no momento.
HTTP ERROR 500

Eu troquei de servidor nesse final de semana mas acho que o problema já estava antes pelo que vi de clientes desistindo acho que já estava no antigo servidor. Alguém tem alguma dica ou ideia do que pode ser?
Editado pela última vez por Smagicas em 10 Set 2019, 19:56, em um total de 1 vez.
#85850
Olá, depois de tanto quebrar a cabeça, desativei todas ocmods e testei, depois xml e testei, chequei módulo por módulo que tiveram alguma alteração mais recente e nada, finalmente me lembrei de um detalhe e parece que resolveu, pelo menos nos testes que fiz agora está tudo normal. O suporte da codemarket esteve uns dias atrás fazendo configurações no módulo de pagamento deles aqui e orientou que eu deveria configurar a versão do PHP para pelo menos 7.0 pois estava funcionando em 5.6, eu alterei para 7.1 e testei a loja e aparentemente tudo funcionou normal, no entanto agora me lembrei desse detalhe já que não tinha mais onde testar, voltei para 5.6 e voltou a funcionar o checkout normalmente.

Mesmo assim gostaria que se alguém com experiência nesse detalhe puder me dar alguma dica sobre o PHP eu agradeceria pois não entendo nada sobre isso, afinal devo manter o PHP desatualizado em 5.6 mesmo? pelo que fiquei sabendo logo não vai mais ter suporte a essa versão e teria que setar para 7.0 ou 7.1 pelo menos mas como fazer sem ter erros?
#85851
Eu uso Opencart 3.0.3.2 (Versão brasil) com PHP 7.3.

No seu caso deve ser problema no seu modulo de pagamento que não deve ser compatível com PHP 7.1
Experimente atualizar para versão 7.3 que é a última.
Em todo caso, é melhor tentar identificar o que diz o erro, pois erro 500 é muito genérico.

No admin da loja nas configurações -> gerenciar lojas - servidor -> marque a opção para mostrar erros.
No arquivo na raiz da sua loja index.php adicione a linha abaixo logo após "<?php"
Código: Selecionar todos
/* Habilita a exibição de erros */
error_reporting(E_ALL);
ini_set('display_errors', '1');
ini_set('log_errors', '1');
Refaça os testes do checkout e veja se aparece a informação do erro na frente da loja.
Verifique também se aparece algo no log de erros
Verifique também se aparece algo no console do Chrome.
#85852
Olá @rlasmar , obrigado por responder. Fiz o que sugeriu mas piora bem mais a situação do que o 7.1, agora dá esse erro no cabeçalho da loja em todas as páginas e o pop-up antes informando apenas error tem uma lista enorme, pena que não dá para copiar. No header o erro é esse: Warning: "continue 2" targeting switch is equivalent to "break 2". Did you mean to use "continue 3"? in /home/zsuxozgl/public_html/vqmod/vqmod.php on line 684

Os últimos erros do log:
Código: Selecionar todos
2019-09-10 14:38:08 - PHP Notice:  Undefined variable: zone_id in /home/zsuxozgl/public_html/vqmod/vqcache/vq2-system_modification_catalog_view_theme_default_template_product_product.tpl on line 840
2019-09-10 14:38:08 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 639
2019-09-10 14:38:08 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:08 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:08 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:08 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:08 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:08 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:14 - PHP Notice:  Undefined variable: zone_id in /home/zsuxozgl/public_html/vqmod/vqcache/vq2-system_modification_catalog_view_theme_default_template_product_product.tpl on line 840
2019-09-10 14:38:14 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 639
2019-09-10 14:38:14 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:14 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:14 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:14 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:14 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:14 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:14 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:14 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:28 - PHP Notice:  Undefined variable: zone_id in /home/zsuxozgl/public_html/vqmod/vqcache/vq2-system_modification_catalog_view_theme_default_template_product_product.tpl on line 840
2019-09-10 14:38:28 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 639
2019-09-10 14:38:28 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:28 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:28 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:28 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:28 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:28 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:32 - PHP Notice:  Undefined variable: zone_id in /home/zsuxozgl/public_html/vqmod/vqcache/vq2-system_modification_catalog_view_theme_default_template_product_product.tpl on line 840
2019-09-10 14:38:32 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 639
2019-09-10 14:38:32 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:32 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:32 - PHP Notice:  compact(): Undefined variable: medium2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
2019-09-10 14:38:32 - PHP Notice:  compact(): Undefined variable: thumb2x in /home/zsuxozgl/public_html/admin/controller/module/magiczoomplus-opencart-module/module.php on line 711
Voltei a versão 5.6 e tudo voltou a funcionar normalmente. A minha versão é 2.0.3.1, eu instalei a versão 3.0.3.2 pelo softaculous a poucos dias para testar mas a mão de obra para fazer toda a migração seria muito grande até deixar a versão atual com todas a modificações feitas para meu trabalho, mas o principal de tudo é ter que cadastrar produto por produtos um a um tudo de novo, isso iria muito tempo e mão de obra o que me fez desistir da atualização no momento, mas sei que vou ter que atualizar uma hora ou outra.
#85853
Faça o teste com a versão PHP 7.0 ou 7.1 e ative a exibição dos erros. São os mesmos erros que vc postou?
De toda forma, me parece que vc tem modulos que não são compatíveis com a versão PHP 7. E aí vc tem que entrar em contato com os desenvolvedores para verificar com eles.

Eu tbm tinha uma loja em opencart 2.0.3.1. Eu atualizei ela para versão 3.0.3.2 (brasil) no dia 31/07. Importei todos os produtos manualmente e módulos fui buscando o que eu precisava atualizado. Durante uns 4 meses fui fazendo aos poucos os testes de migração antes de migrar completamente, já q minha loja tem 2 mil produtos e vende algo todo dia e não dava pra deixar offline, tanto que fiz um passo a passo para mim, para no dia que eu fosse migrar, principalmente das tabelas que eram preciso migrar.

Caso tenha interesse em trocar ideia me manda mensagem, acho que posso auxiliar na migração.
#85855
Olá @rlasmar , por esses dias eu estou super atarefado e sem tempo para absolutamente nada, mas quando eu tiver uma brechinha de tempo eu vou tentar colocar novamente a versão 3.0.3.2 e ir aos poucos colocando o que eu preciso, e depois os produtos. Eu não tenho muitos mas acredito que uns 500 deve ter cadastrado, aí já é um tempo danado para copiar uma a um e colar na nova versão. Eu não tenho muito conhecimento em scripts e principalmente criar e trabalhar com banco de dados, eu faço o básico e por essa razão eu usei o softaculous para instalar uma versão atualizada e a partir daí colocar o idioma e começar colocar os módulos que preciso, para colocar a versão traduzida do opencart brasil sei que tem que criar banco de dados e instalar manualmente, para mim não é tranquilo apesar de fácil. Alguns módulos que comprei na época na OC marketplace tem versão atualizada e posso baixar novamente, mas alguns não existem mais então vou ter que comprar outros semelhantes.

Quando eu for instalar a versão atualizada para ir aos poucos deixando como preciso eu entro em contato com você, mando uma MP. Obrigado pelo contato.
#85856
Beleza, foi assim que fiz. Instalei a versão 3 brasil, fui instalando os módulos atualizados que eu precisava, alguns não tinham realmente, e tive q comprar outros similares. Alguns eram simples de converter para fazer funcionar no oc3, aí converti. Depois de deixar a loja com layout e módulos instalados, foi só marcar um dia para importar os produtos, clientes, cadastros de endereços
Sku em variações.

Para a versão que utiliza somente adquirind[…]

@Silvapaulo Você não pode ter dois […]

Fala meus amigos, Acrescentei um tema na minha lo[…]

Olá! Já tentei de várias form[…]